function $(nombre){
	//forma rapida del get element por id
	return document.getElementById(nombre);
}
function $$(nombre){
	//forma rapida del get element por nombre
	//ojo al contrario que por id, este devuelve un array
	return document.getElementsByName(nombre);
}
function posCheck(nombre){
	//devuelve la posicion del radiobutton elegido o -1 si no hay ninguno elegido
	var posicion=-1;
	for (var i=0;i<$$(nombre).length;i++){
		if ($$(nombre)[i].checked){
			posicion=i;
			break;
		}
	}
	return posicion;
}
function clearRB(nombre){
	//deselecciona todos los radiobotones con el nombre: nombre
	for (var i=0;i<$$(nombre).length;i++){
		$$(nombre)[i].checked=false;
	
	}
}
function cClass(ref,nueva){
	//cambia la clase actual por la nueva, recibe la referencia al objeto ref y el nombre de la nueva clase
	//$("menu_cuentos").className="visible";-> se recomienda usar nativo por simplicidad
	ref.className=nueva;
}
function aleatorioInt (min, max) {
    //devuelve un entero entre min y max inclusive
	return Math.floor(Math.random() * (max - min + 1)) + min;
}
function printID(divName, printContents) {
   //imprimir en un contenedor con un ID determinado
   $(divName).innerHTML = printContents;         
   //window.print();
}

function dameVarURL(VarSearch){
    var SearchString = window.location.search.substring(1);
    var VariableArray = SearchString.split('&');
    for(var i = 0; i < VariableArray.length; i++){
        var KeyValuePair = VariableArray[i].split('=');
        if(KeyValuePair[0] == VarSearch){
            return KeyValuePair[1];
        }
    }
}
